Subject: [PATCH] arch: arm64: include: asm: add pci.h to pass compiling

From: [email-masked] (Chen Gang)
Date: Thu, 27 Jun 2013 18:20:39 +0800

On 06/27/2013 04:43 PM, Arnd Bergmann wrote:
> On Thursday 27 June 2013 08:30:40 Chen Gang wrote:
>> > On 06/26/2013 10:07 PM, Catalin Marinas wrote:
>>> > > On Wed, Jun 26, 2013 at 04:26:41AM +0100, Chen Gang wrote:
>>> > > I wonder whether it makes sense to include pci-dma-compat.h in
>>> > > asm-generic/pci.h, I don't see why one would want the generic pci.h but
>>> > > not the generic pci-dma-compat.h (cc'ing Arnd).
>> > 
>> > I think, it will let architecture guys easier to add their own
>> > pci-dma-compat.h (although they still need generic pci_dma_compat.h, and
>> > generic pci.h, too).
>> > 
>> > e.g. one architecture want include generic pci-dma-compat.h firstly,
>> > then define its own features in its own pci-dma-compat.h.
> I think there is no excuse for still keeping the asm-generic/pci-dma-compat.h
> header around any more.
> 
> All architectures use the same implementation and have done so for years.
> We should just convert the remaining users to use the dma_mapping.h
> interfaces directly.

in "asm-generic/pci-dma-compat.h", it include "linux/dma-mapping.h" firstly.

So can we say it also has additional features (at least for compatible
old things) which "dma-mapping.h" not have ?

Thanks.
-- 
Chen Gang